+9****+20

اتصال به MySql در هاست

با عرض سلام و خسته نباشید

من یک برنامه بانک اطلاعاتی به زبان پایتون نوشتم که باید به دیتابیس Mysql بر روی هاست متصل شود.
اما وقتی اجرا میگردد امکان اتصال به دیتابیس فوق فراهم نمیشود.

در ضمن IP سیستم خودم را نیز در قسمت Remote MySQL اضافه نموده ام

با تشکر فراوان

لذت یادگیری با توسینسو
به عنوان شخصی که مدت هاست از سایت توسینسو استفاده می کنم باید بگم که واقعاً یکی از بهترین مرجع ها برای ارتقاء دانش شخصی هست. دوره های سایت، راهکارها و مطالب، همگی عالی هستند.

اطلاعاتی که دادین خیلی ناقصه.

چه خطایی برمیگردونه هنگام اتصال ؟

کد رو چجوری نوشتین ؟ لطفا ارسالش کنید.

Senior System Administrator
+9****+20

دستوراتی که در پایتون نوشته شده به شکل ذیل میباشد

import mysql.connector
 mydb = mysql.connector.connect(
    host="206.222.8.29",
    user="**********",
    passwd="**********,",
    database="*********"
)

print('OK')

که آدزس هاست، یوزر نیم و پسورد دیتابیس روی MySql میباشد

و خطا نیز به شرح ذیل میباشد

Traceback (most recent call last):
  File "C:\Users\Asgari\AppData\Local\Programs\Python\Python37-32\lib\site-packages\mysql\connector\network.py", line 509, in open_connection
    self.sock.connect(sockaddr)
TimeoutError: [WinError 10060] A connection attempt failed because the connected party did not properly respond after a period of time, or established connection failed because connected host has failed to respond

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Users\Asgari\Desktop\connect.py", line 17, in <module>
    database="mhaasgar_ilam_ashtghl"
  File "C:\Users\Asgari\AppData\Local\Programs\Python\Python37-32\lib\site-packages\mysql\connector\__init__.py", line 179, in connect
    return MySQLConnection(*args, **kwargs)
  File "C:\Users\Asgari\AppData\Local\Programs\Python\Python37-32\lib\site-packages\mysql\connector\connection.py", line 95, in __init__
    self.connect(**kwargs)
  File "C:\Users\Asgari\AppData\Local\Programs\Python\Python37-32\lib\site-packages\mysql\connector\abstracts.py", line 716, in connect
    self._open_connection()
  File "C:\Users\Asgari\AppData\Local\Programs\Python\Python37-32\lib\site-packages\mysql\connector\connection.py", line 206, in _open_connection
    self._socket.open_connection()
  File "C:\Users\Asgari\AppData\Local\Programs\Python\Python37-32\lib\site-packages\mysql\connector\network.py", line 512, in open_connection
    errno=2003, values=(self.get_address(), _strioerror(err)))
mysql.connector.errors.InterfaceError: 2003: Can't connect to MySQL server on '206.222.8.29:3306' (10060 A connection attempt failed because the connected party did not properly respond after a period of time, or established connection failed because connected host has failed to respond)

دیتابیس تون توی محیط اینترنت قرار داره ؟ اگه همینطوره پورت 3306 رو Forward کردید روی روتر ؟

Senior System Administrator
+9****+20

دیتابیس روی هاستم میباشه ولی طرز Forward کردن پورت را روی روتر نمیدانم

اگر میشه راهنمایی فرمایید با تشکر

باید از شرکت ارائه دهنده هاست بخواید که پورت رو Forward کنن روی دیتابیس سرورتون.

Senior System Administrator
پاسخ شما
برای ارسال پاسخ خود وارد شوید.
از سرتاسر توسینسو
تنظیمات حریم خصوصی
تائید صرفنظر
×

تو می تونی بهترین نتیجه رو تضمینی با بهترین های ایران بدست بیاری ، پس مقایسه کن و بعد خرید کن : فقط توی جشنواره پاییزه می تونی امروز ارزونتر از فردا خرید کنی ....